Uploaded image for project: 'Apache Cordova'
  1. Apache Cordova
  2. CB-10602

Deprecate the use of `ios-package` for OSX features.

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: cordova-osx
    • Labels:

      Description

      the current config parser allows to use of osx-package and ios-package for plugin configurations:

      https://github.com/apache/cordova-osx/blob/80c0c6fb970c26acaa3abf62200154a30dc634d0/CordovaLib/CordovaLib/Classes/Commands/CDVConfigParser.m#L77

      In order to be more consistent and potentially avoid conflicts, we should only allow osx-package

        Attachments

          Activity

            People

            • Assignee:
              tripod Tobias Bocanegra
              Reporter:
              tripod Tobias Bocanegra
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated: